### Method

# St ImageContent get_texture

#### Declaration [src]

    CoglTexture*
    st_image_content_get_texture (
      StImageContent* content
    )

#### Description [src]

Retrieves a pointer to the Cogl texture used by `content`.

If you change the contents of the returned Cogl texture you will need to manually invalidate the `content` with `clutter_content_invalidate()` in order to update the actors using `content` as their content.

#### Return value

Type: `CoglTexture`

A pointer to the Cogl texture, or `NULL`.

The returned data is owned by the instance.